Bug 30493 - read-front piglit test fails on llvmpipe/softpipe
Summary: read-front piglit test fails on llvmpipe/softpipe
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/llvmpipe (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-30 02:07 UTC by Michal Suchanek
Modified: 2019-09-18 18:31 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Suchanek 2010-09-30 02:07:44 UTC

    
Comment 1 Michal Suchanek 2010-09-30 02:15:20 UTC
The read-front piglit test fails with llvmpipe / softpipe on mesa 7.9-devel / 7.10-devel.

The test usually fails on swrast and may fail with other drivers with current freeglut due to freeglut issue: http://sourceforge.net/tracker/?func=detail&atid=101032&aid=3048705&group_id=1032

At least swrast on 7.8.2 and 7.9-devel and r600c on 7.8.2 and 7.9-devel and r600g on 7.9-devel work for me and would fail at random without the piglit patch.
Comment 2 Stefano Teso 2011-12-23 07:20:30 UTC
(In reply to comment #1)
> The read-front piglit test fails with llvmpipe / softpipe on mesa 7.9-devel /
> 7.10-devel.
> 
> The test usually fails on swrast and may fail with other drivers with current
> freeglut due to freeglut issue:
> http://sourceforge.net/tracker/?func=detail&atid=101032&aid=3048705&group_id=1032
> 
> At least swrast on 7.8.2 and 7.9-devel and r600c on 7.8.2 and 7.9-devel and
> r600g on 7.9-devel work for me and would fail at random without the piglit
> patch.

Works here on debian unstable with both 7.11.2 and 7.12-devel (pulled today). The bug is marked as solved in the SF page you linked. I guess this report can be closed now?
Comment 3 Michal Suchanek 2012-06-13 08:34:47 UTC
While the freeglut issue may be fixed the read-front test always fails on llvmpipe and fails initially on r600 (redraws work most of the time).
Comment 4 GitLab Migration User 2019-09-18 18:31:05 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/221.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.